Bug 47826 - a logging statement error in org.apache.catalina.startup.Bootstrap.java
a logging statement error in org.apache.catalina.startup.Bootstrap.java
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
6.0.20
PC Linux
: P2 trivial (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-09-11 17:39 UTC by qingyang.xu
Modified: 2014-02-17 13:48 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description qingyang.xu 2009-09-11 17:39:34 UTC
// Local repository
            boolean replace = false;
            String before = repository;
            while ((i=repository.indexOf(CATALINA_HOME_TOKEN))>=0) {
                replace=true;
                if (i>0) {
                repository = repository.substring(0,i) + getCatalinaHome() 
                    + repository.substring(i+CATALINA_HOME_TOKEN.length());
                } else {
                    repository = getCatalinaHome() 
                        + repository.substring(CATALINA_HOME_TOKEN.length());
                }
            }
            while ((i=repository.indexOf(CATALINA_BASE_TOKEN))>=0) {
                replace=true;
                if (i>0) {
                repository = repository.substring(0,i) + getCatalinaBase() 
                    + repository.substring(i+CATALINA_BASE_TOKEN.length());
                } else {
                    repository = getCatalinaBase() 
                        + repository.substring(CATALINA_BASE_TOKEN.length());
                }
            }
            if (replace && log.isDebugEnabled())
                log.debug("Expanded " + before + " to " + replace);

The last line should be: "log.debug("Expanded " + before + " to " + repository);"
Comment 1 Mark Thomas 2009-09-20 14:57:35 UTC
This has been fixed in 6.0.x and will be in 6.0.21 onwards.
Comment 2 Konstantin Kolinko 2009-10-04 13:41:27 UTC
Fixed in 5.5 as well, will be in 5.5.29. Thank you for the report.